var angular = require('cla_angular');

require('./angular/ng-sortable.js');
require('./angular/ng-sortable.css');
require('ng.cla.core.lmsg');

angular.module("cla.core.acl.rolebased.role", ['ui.sortable', 'cla.core.lmsg']);
require('./acl/rolebased/roles.app.js');
require('./acl/rolebased/roles.service.js');
require('./acl/rolebased/roles.directive.js');
require('./acl/rolebased/roles.controller.js');

require('./acl/rolebased/rights.directive.js');
require('./acl/rolebased/rights.controller.js');

require('./acl/rolebased/css/acl-roles.css');

module.exports = {
	init: function (dom_element) {
		if (typeof angular.element(dom_element).scope() === 'undefined') {
			angular.bootstrap(dom_element, ["cla.core.acl.rolebased.role"]);
		}
	}
};